package com.malk.dali.controller;

/**
 * 错误抛出与拦截详见 CatchException
 */

import cn.hutool.core.util.XmlUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.XML;
import com.alibaba.fastjson.JSON;
import com.malk.dali.service.PayService;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McException;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import com.malk.service.aliwork.YDService;
import com.malk.utils.UtilMap;
import com.malk.utils.UtilServlet;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

@Slf4j
@RestController
@RequestMapping
public class DLController {

    @Autowired
    private YDService ydService;
    @Autowired
    private YDClient ydClient;

    @Autowired
    private PayService payService;

    @PostMapping(value = "testToken")
    McR testToken() {
        payService.testToken();
        return McR.success();
    }

    @PostMapping(value = "testGet")
    McR testGet(@RequestBody Map data) {
        payService.testGet(data.get("id").toString());
        return McR.success();
    }
}
