package com.malk.dali.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class DocumentHeader implements Serializable {
    private static final long serialVersionUID = 4820142670157009063L;
    private String external_id;
    private String header_type_code;
    private String status;
    private String created_by_code;
    private String submit_user_code;
    private Long submit_date;
    private String branch_code;
    private String submit_department_code;
    private String column1;
    private Long start_datetime;
    private Long end_datetime;
    private String column2;
    private String destination_city_name;
    private String destination_cities;
    private String destination_city_to_name;
    private String column15;
    private String column16;
    private String description;
    private BigDecimal total_amount;
    private BigDecimal total_claim_amount;
    private BigDecimal total_pay_amount;
    private BigDecimal total_net_amount;
    private BigDecimal total_tax_amount;
    private BigDecimal total_pay_currency_amount;


}
